from app.models.ingredient import Ingredient
from app.services.data_ingredients import get_all_ingredients, get_ingredient, get_recette_from_db, save_recette_to_db
from app.models.recette import Recette

def all_ingredients():
    return get_all_ingredients()

def new_recette(nom):
    return Recette(nom, {})

def add_ingredient_to_recette(recette, ingredient, quantite):
    recette.add_ingredient(ingredient, quantite)

def save_recette(recette):
    # Code pour sauvegarder la recette dans la base de données
    save_recette_to_db(recette)


def get_recette(nom) -> Recette:
    # Code pour récupérer une recette depuis la base de données
    return get_recette_from_db(nom)